VkRayTracingShaderGroupCreateInfoNV Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkRayTracingShaderGroupTypeNV | type
uint32_t | generalShader
uint32_t | closestHitShader
uint32_t | anyHitShader
uint32_t | intersectionShader

## Detailed Description

Definition at line 8198 of file vulkan_core.h.

## Field Documentation

## anyHitShader

uint32_t VkRayTracingShaderGroupCreateInfoNV::anyHitShader

Definition at line 8204 of file vulkan_core.h.

## closestHitShader

uint32_t VkRayTracingShaderGroupCreateInfoNV::closestHitShader

Definition at line 8203 of file vulkan_core.h.

## generalShader

uint32_t VkRayTracingShaderGroupCreateInfoNV::generalShader

Definition at line 8202 of file vulkan_core.h.

## intersectionShader

uint32_t VkRayTracingShaderGroupCreateInfoNV::intersectionShader

Definition at line 8205 of file vulkan_core.h.

## pNext

const void* VkRayTracingShaderGroupCreateInfoNV::pNext

Definition at line 8200 of file vulkan_core.h.

## sType

VkStructureType VkRayTracingShaderGroupCreateInfoNV::sType

Definition at line 8199 of file vulkan_core.h.

## type

VkRayTracingShaderGroupTypeNV VkRayTracingShaderGroupCreateInfoNV::type

Definition at line 8201 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h